/*
* Copyright © 2021 NVIDIA CORPORATION & AFFILIATES. ALL RIGHTS RESERVED.
*
* This software product is a proprietary product of Nvidia Corporation and its affiliates
* (the "Company") and all right, title, and interest in and to the software
* product, including all associated intellectual property rights, are and
* shall remain exclusively with the Company.
*
* This software product is governed by the End User License Agreement
* provided with the software product.
*/

#ifndef NETLINK_LWT_IP_H_
#define NETLINK_LWT_IP_H_

#include <netlink/route/lwt.h>

#ifdef __cplusplus
extern "C" {
#endif

struct rtnl_lwt_ip_encap {
	uint64_t li_id;
	struct nl_addr *li_dst;
};

#ifdef __cplusplus
}
#endif

int rtnl_lwt_is_ip(struct rtnl_lwt_encap *encap);
struct rtnl_lwt_ip_encap *rtnl_lwt_ip_encap_hdr(struct rtnl_lwt_encap *encap);

#endif /* NETLINK_LWT_IP_H_ */
